## gnome-software 3.28.1

=== meson_options.txt ===
option('enable-tests', type : 'boolean', value : true, description : 'enable tests')
option('enable-gspell', type : 'boolean', value : true, description : 'enable gspell')
option('enable-gnome-desktop', type : 'boolean', value : true, description : 'enable gnome-desktop')
option('enable-man', type : 'boolean', value : true, description : 'enable man pages')
option('enable-packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('enable-polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('enable-fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('enable-flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('enable-limba', type : 'boolean', value : false, description : 'enable Limba support')
option('enable-rpm-ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('enable-steam', type : 'boolean', value : true, description : 'enable Steam support')
option('enable-shell-extensions', type : 'boolean', value : true, description : 'enable shell extensions support')
option('enable-odrs', type : 'boolean', value : true, description : 'enable ODRS support')
option('enable-ubuntuone', type : 'boolean', value : true, description : 'enable UbuntuOne support')
option('enable-ubuntu-reviews', type : 'boolean', value : true, description : 'enable Ubuntu reviews support')
option('enable-webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('enable-gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('enable-snap', type : 'boolean', value : false, description : 'enable Snap support')
option('enable-external-appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('enable-valgrind', type : 'boolean', value : true, description : 'enable Valgrind debugging integration')
option('enable-gtk-doc', type : 'boolean', value : true, description : 'enable API reference')

## gnome-software 3.14.2

=== debian/changelog ===
gnome-software (3.14.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump both appstream-glib build and runtime dependencies
    to >= 0.3.2, this can be reverted when appstream-glib will provide a
    .symbols file

 -- Laurent Bigonville <bigon@debian.org>  Tue, 18 Nov 2014 23:08:05 +0100

gnome-software (3.14.1-2) unstable; urgency=medium

  * debian/rules, debian/gnome-software.install: Install appdata file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 Oct 2014 02:36:59 +0200

gnome-software (3.14.1-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Bump gtk+-3.0 build-dependency to 3.14.1
    - debian/rules: Bump plugin API version to 7

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Oct 2014 09:12:33 +0200

gnome-software (3.14.0-1) unstable; urgency=low

  * Initial release (Closes: #722316)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Oct 2014 11:04:58 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.11.5),
               intltool (>= 0.35.0),
               libappstream-glib-dev (>= 0.3.2),
               libglib2.0-dev (>= 2.39.1),
               libgnome-desktop-3-dev,
               libgtk-3-dev (>= 3.14.1),
               libpackagekit-glib2-dev (>= 1.0.0),
               libsoup2.4-dev,
               libsqlite3-dev,
               libxml2-utils,
               pkg-config,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Software
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-software/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-software/

Package: gnome-software
Architecture: any
Depends: gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.11.5),
         libappstream-glib7 (>= 0.3.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architectures independent files

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib --disable-silent-rules

override_dh_install:
	rm -f debian/tmp/gs-plugins-7/*.a
	rm -f debian/tmp/gs-plugins-7/*.la
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

override_dh_auto_test:

## gnome-software 3.16.4

=== debian/changelog ===
gnome-software (3.16.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Add appstream-util.
    - Add libpolkit-gobject-1-dev.
    - Bump libappstream-glib-dev to (>= 0.3.4).
    - Bump libgtk-3-dev to (>= 3.16).
  * Drop hard-coded dependency on libappstream-glib7 now that the library
    provides a symbols file.
  * Use dh_install's exclude (-X) functionality to not install the .a and .la
    files.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jul 2015 00:03:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-autoreconf,
                docbook-xsl,
                gnome-pkg-tools (>= 0.10),
                gsettings-desktop-schemas-dev (>= 3.11.5),
                intltool (>= 0.35.0),
-               libappstream-glib-dev (>= 0.3.2),
+               appstream-util,
+               libappstream-glib-dev (>= 0.3.4),
                libglib2.0-dev (>= 2.39.1),
                libgnome-desktop-3-dev,
-               libgtk-3-dev (>= 3.14.1),
+               libgtk-3-dev (>= 3.16),
                libpackagekit-glib2-dev (>= 1.0.0),
+               libpolkit-gobject-1-dev,
                libsoup2.4-dev,
                libsqlite3-dev,
                libxml2-utils,
@@ -32,7 +34,6 @@
 Architecture: any
 Depends: gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.11.5),
-         libappstream-glib7 (>= 0.3.2),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Software Center for GNOME

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 	dh_auto_configure -- --libdir=/usr/lib --disable-silent-rules
 
 override_dh_install:
-	rm -f debian/tmp/gs-plugins-7/*.a
-	rm -f debian/tmp/gs-plugins-7/*.la
-	dh_install --list-missing
+	dh_install -X.a -X.la --list-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibgs_plugin

## gnome-software 3.16.5

=== debian/changelog ===
gnome-software (3.16.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 16:27:58 +0200

## gnome-software 3.19.5+git20160210.fc0d9e2

=== debian/changelog ===
gnome-software (3.19.5+git20160210.fc0d9e2-0ubuntu1) xenial; urgency=medium

  * debian/control:
    - Don't depend on packagekit anymore
  * debian/rules:
    - Disable limba
  * debian/patches/apt-plugin.patch:
    - Add apt plugin
  * debian/patches/ubuntu-review-plugin.patch:
    - Add an Ubuntu reviews plugin
  * debian/patches/rating-total.patch:
  * debian/patches/safer-garray.patch:
  * debian/patches/review-alignment.patch:
    - Fix small issues

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 04 Feb 2016 15:06:24 +1300

gnome-software (3.18.3-3) unstable; urgency=medium

  * Add 01_fwupd-dont-crash.patch: Don't crash when the fwupd daemon
    is removed.
  * Add 02_fwupd-nofail.patch: Do not fail update checks if fwupd is
    not available. (Closes: #808305)

 -- Matthias Klumpp <mak@debian.org>  Fri, 15 Jan 2016 15:14:42 +0100

gnome-software (3.18.3-2) unstable; urgency=medium

  * Enable fwupd support
    - This allows updating flashed firmware from GNOME-Software
      when 'fwupd' is installed.
  * Depend on 'appstream'
    - Enables AppStream/DEP-11 integration on Debian automatically.

 -- Matthias Klumpp <mak@debian.org>  Mon, 14 Dec 2015 16:02:42 +0100

gnome-software (3.18.3-1) unstable; urgency=medium

  * New upstream bugfix release
    - Closes: #803418

 -- Matthias Klumpp <mak@debian.org>  Thu, 05 Nov 2015 20:04:16 +0100

gnome-software (3.18.2-2) unstable; urgency=medium

  * Add missing Breaks/Replaces against gnome-packagekit-session
    - Closes: #802458
  * Explicitly depend on PackageKit (Closes: #794979)
    - GNOME-Software needs the PackageKit daemon to work properly
      at time.

 -- Matthias Klumpp <mak@debian.org>  Wed, 21 Oct 2015 20:26:34 +0200

gnome-software (3.18.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Use https:// for Vcs-Browser

  [ Matthias Klumpp ]
  * New upstream release: 3.18.2
  * Update Build-Depends:
    - Bump libpackagekit-glib2-dev to (>= 1.0.10)
    - Bump libsoup2.4-dev to (>= 2.52)
    - Bump libgnome-desktop-3-dev to (>= 3.18)
    - Bump libappstream-glib-dev to (>= 0.5.1)
    - Bump libgtk-3-dev to (>= 3.18)
    - Add liblimba-dev (>= 0.5.2) on Linux
  * Sort build dependencies
  * Enable optional support for the Limba installer.
    - Will be inert if not explicitly configured.

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Oct 2015 19:54:10 +0200

gnome-software (3.16.5-2) unstable; urgency=medium

  * Add transitional package for the PK session interface
  * Do not ship with Fedora-specific plugins

 -- Matthias Klumpp <mak@debian.org>  Sat, 08 Aug 2015 18:18:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,24 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: appstream,
+               appstream-util,
+               debhelper (>= 9.0.0),
                dh-autoreconf,
                docbook-xsl,
+               gnome-common,
                gnome-pkg-tools (>= 0.10),
-               gsettings-desktop-schemas-dev (>= 3.11.5),
+               gsettings-desktop-schemas-dev (>= 3.18),
                intltool (>= 0.35.0),
-               appstream-util,
-               libappstream-glib-dev (>= 0.3.4),
-               libglib2.0-dev (>= 2.39.1),
-               libgnome-desktop-3-dev,
-               libgtk-3-dev (>= 3.16),
-               libpackagekit-glib2-dev (>= 1.0.0),
+               libappstream-glib-dev (>= 0.5.2-2),
+               libfwupd-dev (>= 0.6) [amd64 arm64 armhf i386],
+               libglib2.0-dev (>= 2.46),
+               libgnome-desktop-3-dev (>= 3.18),
+               libgtk-3-dev (>= 3.18),
+               libjson-glib-dev (>= 0.12),
+               liboauth-dev,
                libpolkit-gobject-1-dev,
-               libsoup2.4-dev,
+               libsoup2.4-dev (>= 2.52),
                libsqlite3-dev,
                libxml2-utils,
                pkg-config,
@@ -28,14 +32,18 @@
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Software
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-software/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-software/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-software/
 
 Package: gnome-software
 Architecture: any
-Depends: gnome-software-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 3.11.5),
+Depends: appstream,
+         gnome-software-common (= ${source:Version}),
+         gsettings-desktop-schemas (>= 3.18),
          ${misc:Depends},
          ${shlibs:Depends}
+Replaces: gnome-packagekit-session (<< 3.16.0-2~)
+Breaks: gnome-packagekit-session (<< 3.16.0-2~)
+Suggests: fwupd [amd64 arm64 armhf i386]
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
  .
@@ -58,3 +66,16 @@
  appdata format.
  .
  This package contains the architectures independent files
+
+Package: gnome-packagekit-session
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: gnome-software (>= ${source:Version}),
+         ${misc:Depends}
+Description: Transitional package (gnome-packagekit-session -> gnome-software)
+ Transitional dummy package replacing gnome-packagekit-session with
+ gnome-software.
+ .
+ The PackageKit session interface is no separate component anymore, but built
+ into GNOME-Software.

## gnome-software 3.19.5+git20160211.e8cfba4

=== debian/changelog ===
gnome-software (3.19.5+git20160211.e8cfba4-0ubuntu5) xenial; urgency=medium

  * debian/control:
    - Drop gnome-packagekit-session - it was never in Ubuntu

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 11 Feb 2016 16:54:38 +1300

gnome-software (3.19.5+git20160211.e8cfba4-0ubuntu4) xenial; urgency=medium

  * debian/rules:
    - Disable fwupd
  * debian/patches/minimal-review-limits.patch:
    - Use only minimal limits on what a review can contain
  * debian/patches/ubuntu-review-plugin.patch:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 11 Feb 2016 15:02:16 +1300

gnome-software (3.19.5+git20160211.e8cfba4-0ubuntu3) xenial; urgency=medium

  * debian/control:
    - Build-depend on libgtkspell3-3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 11 Feb 2016 14:09:24 +1300

gnome-software (3.19.5+git20160211.e8cfba4-0ubuntu2) xenial; urgency=medium

  * debian/control:
    - Disable firmware support for now, it's still blocked on MIRs

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 11 Feb 2016 12:05:41 +1300

gnome-software (3.19.5+git20160211.e8cfba4-0ubuntu1) xenial; urgency=medium

  * New upstream version
  * debian/patches/apt-plugin.patch:
  * debian/patches/ubuntu-review-plugin.patch:
    - Updated
  * debian/patches/rating-total.patch:
  * debian/patches/safer-garray.patch:
  * debian/patches/review-alignment.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 11 Feb 2016 09:29:34 +1300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>, 
 Build-Depends: appstream,
                appstream-util,
                debhelper (>= 9.0.0),
@@ -17,10 +17,10 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                intltool (>= 0.35.0),
                libappstream-glib-dev (>= 0.5.2-2),
-               libfwupd-dev (>= 0.6) [amd64 arm64 armhf i386],
                libglib2.0-dev (>= 2.46),
                libgnome-desktop-3-dev (>= 3.18),
                libgtk-3-dev (>= 3.18),
+               libgtkspell3-3-dev,
                libjson-glib-dev (>= 0.12),
                liboauth-dev,
                libpolkit-gobject-1-dev,
@@ -41,9 +41,6 @@
          gsettings-desktop-schemas (>= 3.18),
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: gnome-packagekit-session (<< 3.16.0-2~)
-Breaks: gnome-packagekit-session (<< 3.16.0-2~)
-Suggests: fwupd [amd64 arm64 armhf i386]
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
  .
@@ -66,16 +63,3 @@
  appdata format.
  .
  This package contains the architectures independent files
-
-Package: gnome-packagekit-session
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: gnome-software (>= ${source:Version}),
-         ${misc:Depends}
-Description: Transitional package (gnome-packagekit-session -> gnome-software)
- Transitional dummy package replacing gnome-packagekit-session with
- gnome-software.
- .
- The PackageKit session interface is no separate component anymore, but built
- into GNOME-Software.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GS_CONFIGURE_FLAGS = --libdir=/usr/lib \
		--disable-silent-rules

# Install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with gnome,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)
	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-?/libgs_plugin_fedora*

override_dh_install:
	dh_install -X.a -X.la --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

override_dh_auto_test:

## gnome-software 3.20.1%2Bgit20160420.1.ca63436.ubuntu-xenial

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>, 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: appstream,
                appstream-util,
                debhelper (>= 9.0.0),
@@ -16,23 +17,40 @@
                gnome-pkg-tools (>= 0.10),
                gsettings-desktop-schemas-dev (>= 3.18),
                intltool (>= 0.35.0),
-               libappstream-glib-dev (>= 0.5.2-2),
-               libglib2.0-dev (>= 2.46),
+               libappstream-glib-dev (>= 0.5.11),
+               libapt-pkg-dev (>= 1.2),
+               libgdk-pixbuf2.0-dev (>= 2.31.5),
+               libglib2.0-dev (>= 2.46.0),
                libgnome-desktop-3-dev (>= 3.18),
-               libgtk-3-dev (>= 3.18),
+               libgtk-3-dev (>= 3.18.2),
                libgtkspell3-3-dev,
-               libjson-glib-dev (>= 0.12),
+               libjson-glib-dev (>= 1.1.1),
                liboauth-dev,
                libpolkit-gobject-1-dev,
+               libsecret-1-dev,
                libsoup2.4-dev (>= 2.52),
                libsqlite3-dev,
+               libfwupd-dev,
                libxml2-utils,
                pkg-config,
                xsltproc
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-software/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-software/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu
+
+Package: ubuntu-software
+Architecture: any
+Depends: gnome-software (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Utility for browsing, installing, and removing software
+ Ubuntu Software lets you browse and install the applications available for 
+ Ubuntu. You can view available software by category, or search by name 
+ or description. You can also examine the software already installed, and 
+ remove items you no longer need.
+ .
+ To install or remove software using Ubuntu Software, you need administrator 
+ access on the computer.
 
 Package: gnome-software
 Architecture: any

## gnome-software 3.20.1+git20160420.1.ca63436.ubuntu-xenial

=== debian/changelog ===
gnome-software (3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2) xenial; urgency=medium

  * debian/rules:
    - hack to include some translations, that way "Ubuntu Software" is not
      unstranslated on the iso. We can drop that once we get a langpack 
      update. That includes the strings from the locales that 
      have translations on launchpad (without de/it/pt which are not needed 
      because their translation is the original english string)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Apr 2016 15:39:06 +0200

gnome-software (3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot from the wip/iainl/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Reloads the apt db properly by not aborting due to errors from a
      previous operation
    - Does a full upgrade so that new needed packages are also installed
    - Take an upstream commit for flagging non-reviewable software

 -- William Hua <william.hua@canonical.com>  Wed, 20 Apr 2016 08:13:37 -0400

gnome-software (3.20.1+git20160419.2.b8d2e40.ubuntu-xenial-0ubuntu1) xenial; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in, debian/ubuntu-software.install, 
    debian/ubuntu-software.links, debian/icons, 
    debian/patches/ubuntu_software_name.patch, debian/rules:
    - create new "ubuntu-software" binary package depending on gnome-software,
      it allows us to have a name/description familiar to Ubuntu users
      without altering or removing the gnome-software one, also create a new
      desktop entry named "Ubuntu Software" for Unity (lp: #1570479)

  [ Iain Lane ]
  * New upstream snapshot from the wip/iainl/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Some snappy fixes (but the plugin is still disabled)
    - Actually install the featured.ini file

 -- Iain Lane <iain.lane@canonical.com>  Tue, 19 Apr 2016 18:50:17 +0100

gnome-software (3.20.1+git20160419.1.d7dc006.ubuntu-xenial-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot from the wip/iainl/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Plug memory leaks
    - Fix theming issues with progress meter (LP: #1546276)

 -- William Hua <william.hua@canonical.com>  Tue, 19 Apr 2016 01:17:17 -0400

gnome-software (3.20.1+git20160415.1.9c08d97.ubuntu-xenial-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot from the wip/iainl/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Fixes segfault due to multiple updates in a single operation
    - Sets the correct state of the OS Updates meta-package
    - Disables the Install button when doing a full upgrade
    - Requests refresh only if the main window is open
    - Refresh the UI after completing an update

 -- William Hua <william.hua@canonical.com>  Fri, 15 Apr 2016 12:02:45 -0400

gnome-software (3.20.1+git20160414.1.cc9a0a6.ubuntu-xenial-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot from the wip/iainl/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    + Uses libapt instead of manual parsing to find out about Debian packages.
    + Runs the background service again for firmware and other updates. (LP:
    #1565865)
    + Fixes use-after-free (LP: #1554164)
    + Should mark software as 'free' correctly. (LP: #1569328, #1568021)
  * All Ubuntu patches are in the orig.tar.xz, so have been dropped from the
    packaging.
  * debian/control: Add libapt-pkg-dev BD - the apt plugin now uses libapt
    directly instead of parsing files itself.
  * debian/README.source: Add info on where the upstream VCS with Ubuntu
    changes is.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 14 Apr 2016 14:15:33 +0100

gnome-software (3.20.1~git20160331.78d1aab-0ubuntu3) xenial; urgency=medium

  * debian/patches/rename-menu-item.patch:
    - Merged into software-properties.patch
  * debian/patches/ubuntu-review-plugin.patch:
    - Use Wilson score for average rating
    - Recommend highly rated apps
    - Match our own reviews

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 04 Apr 2016 12:19:39 +1200

gnome-software (3.20.1~git20160331.78d1aab-0ubuntu2) xenial; urgency=medium

  * Enable firmware support (LP: #1544376)

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 01 Apr 2016 08:31:12 -0500

gnome-software (3.20.1~git20160331.78d1aab-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot
  * debian/patches/rename-menu-item.patch:
    - Rename 'Software Sources' menu item to 'Software & Updates'
  * debian/patches/no-notification-actions.patch:
    - Disable actions in notifications (LP: #1547608)

 -- William Hua <william.hua@canonical.com>  Thu, 31 Mar 2016 21:20:12 -0400

gnome-software (3.20.0-0ubuntu1) xenial; urgency=medium

  * New upstream stable release
  * debian/patches/hide-empty-fields.patch:
    - Hide metadata fields we haven't populated
  * debian/patches/apt-plugin.patch:
    - Don't load information for .deb package in the libs section - they won't
      contain any apps.
  * debian/patches/ubuntu-review-plugin.patch:
    - Fix keyboard usage in the Ubuntu One dialog (LP: #1553212)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 29 Mar 2016 16:16:47 +1300

gnome-software (3.19.93~git20160318.55deb24-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot
  * debian/control:
    - Add Vcs-Bzr link
  * debian/ubuntu-one.png:
    - Move binary file from ubuntu-review-submit.patch into packaging
  * debian/patches/apt-plugin.patch:
    - Fix crash when authentication denied (LP: #1549890)
    - Fix changelog URL
    - Fix typo (LP: #1557213)
  * debian/patches/fwupd-error.patch:
    - Handle fwupd not existing (LP: #1558816)
  * debian/patches/appstream-refresh.patch:
    - Perform an apt update if there is no appstream available (LP: #1554023)
  * debian/patches/sideload-workaround.patch:
    - Applied upstream



=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,28 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)
 
+override_dh_auto_build:
+	cp debian/ubuntu-one.png src/plugins
+	dh_auto_build
+
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
 	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-?/libgs_plugin_fedora*
 
 override_dh_install:
 	dh_install -X.a -X.la --list-missing
+	# Change the name and icon for Unity sessions
+	sed -i 's/Name=Software/Name=Ubuntu Software/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
+	sed -i 's/Icon=org.gnome.Software/Icon=ubuntusoftware/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
+
+# Hack to include some translations, we can drop that once we get a langpack update
+# Includes the strings from the locales that have translations on launchpad but
+# de/it/pt are not needed because their translation is the original english string
+override_dh_translations:
+	dh_translations
+	echo "Name[es]=Software de Ubuntu" >> debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
+	echo "Name[fr]=Logiciels Ubuntu" >> debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
+	echo "Name[zh_CN]=Ubuntu 软件" >> debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibgs_plugin

## gnome-software 3.20.1+git20161003.0.7ac7d1b

=== debian/changelog ===
gnome-software (3.20.1+git20161003.0.7ac7d1b-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Show screenshots for snaps (requires snapd 2.15.2) (LP: #1603610)
    - Set snap summary from snapd response (LP: #1629456)
    - Don't show terminal for graphical apps (LP: #1595023)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Oct 2016 13:27:22 +1300

gnome-software (3.20.1+git20160923.2.7374bdc-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix crash on 32 bit arch live images (LP: #1571729)
  * debian/README.source: Update branch name (wip/ubuntu-xenial -> wip/ubuntu).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 Sep 2016 18:21:37 +0100

gnome-software (3.20.1+git20160923.1.0c571f1-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix failure refining first snap doesn't affect other snaps (LP: #1626803)
    - Support snap launching (LP: #1564076)
    - Don't prompt user to upgrade held packages (LP: #1573061)
    - Use /v2/find API instead of obsolete /v2/snaps API for searching (LP: #1596378)
    - Download changelog information on demand (LP: #1574666)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 23 Sep 2016 14:09:51 +1200

gnome-software (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu2) yakkety; urgency=medium

  * Depend on aptdaemon
  * Add debian/docs to install NEWS
  * Update dh_install rules (from Debian) to install appstream data
  * Add gsettings override (from Debian) to set official-sources

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Sep 2016 10:58:43 -0400

gnome-software (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Fix launching various KDE4 applications (LP: #1575529)
    - Guard against review server errors (LP: #1590508)
    - Fix a couple of CSS errors (LP: #1590508)
    - Fix conversion from star ratings (1-5) to G-S rating (0-100) (LP: #1581938)
    - Fix wilson score calulation (LP: #1581938)
    - Make the app folder dialog work again (LP: #1590115)
    - Remove broken symlink of xdg-app-reviews plugin (LP: #1573052)
    - Disable redundant notification (LP: #1592382)
    - Disable app folders feature when run outside GNOME (LP: #1590152)
  * Drop snap_mime_type.patch which is in this release.

 -- William Hua <william.hua@canonical.com>  Fri, 17 Jun 2016 09:47:49 +0100

gnome-software (3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu2) yakkety; urgency=medium

  * debian/patches/snap_mime_type.patch:
    - Mark as able to load .snap MIME type (LP: #1585867)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 03 Jun 2016 16:55:49 +1200

gnome-software (3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu-xenial branch at
    git://git.gnome.org/gnome-software.
    - Recognize apt: urls (LP: #1559185)
    - Increase the number of displayed reviews from 10 to 30 (LP: #1559284)
    - Show version information for non-installed apps (LP: #1564621)
    - Show size information for non-installed apps (LP: #1571414)
    - Fix sideloading of local .deb files (LP: #1573408)
    - Enable the Snappy backend (LP: #1575104)

 -- William Hua <william.hua@canonical.com>  Tue, 26 Apr 2016 14:55:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream,
                appstream-util,
                debhelper (>= 9.0.0),
@@ -55,6 +55,7 @@
 Package: gnome-software
 Architecture: any
 Depends: appstream,
+         aptdaemon,
          gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.18),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 
 GS_CONFIGURE_FLAGS = --libdir=/usr/lib \
 		--disable-silent-rules
+
+DISTRO_ID = debian
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+	DISTRO_ID = ubuntu
+else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
+	DISTRO_ID = tanglu
+endif
 
 # Install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -20,10 +27,16 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
-	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-?/libgs_plugin_fedora*
+	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-*/libgs_plugin_fedora*
+
+override_dh_installgsettings:
+	sed 's/@DISTRO@/$(DISTRO_ID)/g' debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
+	dh_installgsettings
 
 override_dh_install:
-	dh_install -X.a -X.la --list-missing
+	rm -f debian/tmp/usr/lib/gs-plugins-*/*.a
+	rm -f debian/tmp/usr/lib/gs-plugins-*/*.la
+	dh_install --list-missing
 	# Change the name and icon for Unity sessions
 	sed -i 's/Name=Software/Name=Ubuntu Software/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
 	sed -i 's/Icon=org.gnome.Software/Icon=ubuntusoftware/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
@@ -41,3 +54,8 @@
 	dh_makeshlibs -Xlibgs_plugin
 
 override_dh_auto_test:
+	# DISABLED
+
+override_dh_clean:
+	rm -f debian/gnome-software.gsettings-override
+	dh_clean

## gnome-software 3.20.1+git20170208.0.a34b091

=== debian/changelog ===
gnome-software (3.20.1+git20170208.0.a34b091-0ubuntu1~xenial1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Hide 3rd party / non-free license warnings and just show as "Unknown"
      (LP: #1662750)
    - Add handler for snap:// URLs (LP: #1621971)
    - Hide .desktop file from startup applications (LP: #1662749)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 08 Feb 2017 20:07:16 +1300

gnome-software (3.20.1+git20161013.0.d77d6cf-0ubuntu2~xenial1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Use snapd-glib to perform snapd login. This fixes non-root access being
      removed in snapd. (LP: #1616943)
    - Show screenshots for snaps (requires snapd 2.15.2) (LP: #1603610)
    - Set snap summary from snapd response (LP: #1629456)
    - Don't show terminal for graphical apps (LP: #1595023)
  * debian/control:
    - Build-depend on libsnapd-glib-dev
  * debian/rules:
    - Build with --enable-snap

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Nov 2016 21:31:03 +1300

gnome-software (3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix crash on 32 bit arch live images (LP: #1571729)
  * debian/README.source: Update branch name (wip/ubuntu-xenial -> wip/ubuntu).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 Sep 2016 18:28:31 +0100

gnome-software (3.20.1+git20160923.1.0c571f1-0ubuntu1~xenial1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix failure refining first snap doesn't affect other snaps (LP: #1626803)
    - Support snap launching (LP: #1564076)
    - Don't prompt user to upgrade held packages (LP: #1573061)
    - Use /v2/find API instead of obsolete /v2/snaps API for searching (LP: #1596378)
    - Download changelog information on demand (LP: #1574666)
  * debian/control:
    - Depend on aptdaemon

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 23 Sep 2016 14:33:25 +1200

gnome-software (3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04, with the world's longest version number.
  * Update Vcs-Bzr for the stable release

 -- Iain Lane <iain.lane@canonical.com>  Fri, 17 Jun 2016 10:11:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: appstream,
                appstream-util,
                debhelper (>= 9.0.0),
@@ -29,6 +29,7 @@
                libpolkit-gobject-1-dev,
                libsecret-1-dev,
                libsoup2.4-dev (>= 2.52),
+               libsnapd-glib-dev,
                libsqlite3-dev,
                libfwupd-dev,
                libxml2-utils,
@@ -36,7 +37,7 @@
                xsltproc
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-xenial
 
 Package: ubuntu-software
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,8 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 GS_CONFIGURE_FLAGS = --libdir=/usr/lib \
+		--enable-snap \
 		--disable-silent-rules
-
-DISTRO_ID = debian
-ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	DISTRO_ID = ubuntu
-else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
-	DISTRO_ID = tanglu
-endif
 
 # Install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -27,16 +21,10 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
-	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-*/libgs_plugin_fedora*
-
-override_dh_installgsettings:
-	sed 's/@DISTRO@/$(DISTRO_ID)/g' debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
-	dh_installgsettings
+	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-?/libgs_plugin_fedora*
 
 override_dh_install:
-	rm -f debian/tmp/usr/lib/gs-plugins-*/*.a
-	rm -f debian/tmp/usr/lib/gs-plugins-*/*.la
-	dh_install --list-missing
+	dh_install -X.a -X.la --list-missing
 	# Change the name and icon for Unity sessions
 	sed -i 's/Name=Software/Name=Ubuntu Software/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
 	sed -i 's/Icon=org.gnome.Software/Icon=ubuntusoftware/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
@@ -54,8 +42,3 @@
 	dh_makeshlibs -Xlibgs_plugin
 
 override_dh_auto_test:
-	# DISABLED
-
-override_dh_clean:
-	rm -f debian/gnome-software.gsettings-override
-	dh_clean

## gnome-software 3.20.1+git20170524.0.ea2fe2b0

=== debian/changelog ===
gnome-software (3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu-3-20 branch at
    git://git.gnome.org/gnome-software.
    - Handle multiple debconf connections (LP: #1688721)
    - Limit search entry in case of accidental input (LP: #1692398)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 24 May 2017 09:49:56 +1200

gnome-software (3.20.1+git20170509.0.8292905-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu-3-20 branch at
    git://git.gnome.org/gnome-software.
    - Fix crash when debconf socket fails (LP: #1689425)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 12 May 2017 09:26:30 +1200

gnome-software (3.20.1+git20170427.0.3d09239-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu-3-20 branch at
    git://git.gnome.org/gnome-software.
    - Support debconf prompts (LP: #1679435)
    - Fix local .deb files not being installable: (LP: #1672424)
  * debian/control:
    - Recommend debconf, libgtk2-perl

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 27 Apr 2017 10:44:19 +1200

gnome-software (3.20.1+git20170208.0.a34b091-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Hide 3rd party / non-free license warnings and just show as "Unknown"
      (LP: #1662750)
    - Add handler for snap:// URLs (LP: #1621971)
    - Hide .desktop file from startup applications (LP: #1662749)
  * debian/control:
    - Update Vcs-Bzr link

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 08 Feb 2017 20:07:16 +1300

gnome-software (3.20.1+git20161013.0.d77d6cf-0ubuntu2) yakkety; urgency=medium

  * debian/control{,.in}: Build-Depend on libsnapd-glib-dev, to successfully
    build the Snap plugin.
  * debian/rules: Pass --enable-snap, so that configure bails out if the Snap
    plugin won't be built.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 13 Oct 2016 16:52:55 +0100

gnome-software (3.20.1+git20161013.0.d77d6cf-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Use snapd-glib to perform snapd login. This fixes non-root access being
      removed in snapd. (LP: #1616943)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Oct 2016 15:27:54 +1300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream,
                appstream-util,
                debhelper (>= 9.0.0),
@@ -37,7 +37,7 @@
                xsltproc
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-xenial
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-yakkety
 
 Package: ubuntu-software
 Architecture: any
@@ -61,6 +61,8 @@
          gsettings-desktop-schemas (>= 3.18),
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: debconf,
+            libgtk2-perl
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
  .

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 GS_CONFIGURE_FLAGS = --libdir=/usr/lib \
 		--enable-snap \
 		--disable-silent-rules
+
+DISTRO_ID = debian
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+	DISTRO_ID = ubuntu
+else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
+	DISTRO_ID = tanglu
+endif
 
 # Install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -21,10 +28,16 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
-	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-?/libgs_plugin_fedora*
+	rm -f $(INSTALLDIR)/usr/lib/gs-plugins-*/libgs_plugin_fedora*
+
+override_dh_installgsettings:
+	sed 's/@DISTRO@/$(DISTRO_ID)/g' debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
+	dh_installgsettings
 
 override_dh_install:
-	dh_install -X.a -X.la --list-missing
+	rm -f debian/tmp/usr/lib/gs-plugins-*/*.a
+	rm -f debian/tmp/usr/lib/gs-plugins-*/*.la
+	dh_install --list-missing
 	# Change the name and icon for Unity sessions
 	sed -i 's/Name=Software/Name=Ubuntu Software/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
 	sed -i 's/Icon=org.gnome.Software/Icon=ubuntusoftware/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
@@ -42,3 +55,8 @@
 	dh_makeshlibs -Xlibgs_plugin
 
 override_dh_auto_test:
+	# DISABLED
+
+override_dh_clean:
+	rm -f debian/gnome-software.gsettings-override
+	dh_clean
